import React from 'react';
import styles from './index.less';
import css from 'classnames';
import CloseIcon from './components/close';
import MinimizeIcon from './components/minimize';
import ZoomIcon from './components/zoom';
import logoImg from './assets/logo.png';
import { useModel } from 'umi';
import UserCenter from './components/userCenter';
import system, { isClient } from '@/services/system';
import SvgIcon from '../SvgIcon';
import classNames from 'classnames';

export default function AppHeader(props) {
  const { className, style } = props;
  const { initialState: { isLogin } = { isLogin: false } } =
    useModel('@@initialState');
  return (
    <div className={css(styles.appHeader, className)} style={style}>
      <div className={styles.left}>
        <img src={logoImg} alt="" />
      </div>
      <div className={styles.right}>
        <div
          className={classNames(styles.monitor, styles.mr16)}
          onClick={() => system.openUrl('https://www.locking.cn')}
        >
          <SvgIcon xlinkHref="monitor" />
        </div>
        {isLogin ? (
          <>
            <UserCenter className={styles.mr16} />
          </>
        ) : null}
        {isClient ? (
          <>
            <div className={styles.split} />
            <MinimizeIcon
              className={styles.mr12}
              onClick={system.minimizeWindow}
            />
            <ZoomIcon className={styles.mr12} onClick={system.zoomWindow} />
            <CloseIcon className={styles.mr12} onClick={system.closeWindow} />
          </>
        ) : null}
      </div>
    </div>
  );
}
