const pmsServiceMap = [
  'template',
  'project',
  'folder',
  'file',
  'templateCompany',
  'projectLinkInvite',
  'lockingmsg',
].reduce(
  (h: { [key: string]: 'pms' | undefined }, str) => ((h[str] = 'pms'), h),
  {},
);

const postRequestMap = [
  'authentication/login',
  'authentication/passwordCheck',
  'company/addCompany',
  'company/queryGeneralOverview',
  'company/queryProviceTree',
  'company/updateCompanyById',
  'company/link/addCompanyLink',
  'company/link/updateCompanyLink',
  'company/sendVerificationCode',
  'company/registerCompany',
  'dept/addDept',
  'dept/updateDept',
  'user/addUser',
  'user/resetPassWord',
  'user/updateUser',
  'template/createTemplate',
  'template/fileExchange',
  'template/updateTemplate',
  'template/uploadingXmind',
  'template/addTemplateNodeModelFile',
  'template/createNestedRelevance',
  'template/connectNestTemplateFolder',
  'folder/createSubfolder',
  'project/createProject',
  'project/editProject',
  'project/assignedWork',
  'file/addArchMilesStone',
  'file/addFile',
  'file/updateFile',
  'file/fileCoordinationChange',
  'file/setShareFile',
  'operation/record',
  'file/updateProjArchiveHistory',
  'templateCompany/addTemplateCompany',
  'project/addProjectGobalConfig',
  'project/linkProject',
  'file/submitDeliverables',
  'lockingmsg/markRead',
  'file/removeFromRecycleBin',
  'file/batchAddFile',
].reduce(
  (h: { [key: string]: 'POST' | 'GET' }, str) => ((h[str] = 'POST'), h),
  {},
);

export function parseRequest(path: string): ['POST' | 'GET', string] {
  const [service] = path.split('/');
  const prefix = pmsServiceMap[service] || 'cms';
  const fullpath = `api/${prefix}/${
    service === 'authentication' ? '' : 'v1/'
  }${path}`;
  const method = postRequestMap[path] || 'GET';

  return [method, fullpath];
}
